package com.chenyang.nse.bussiness.sso.vo;

public class SSOOrgVO {
   String id;
   String parentId;
   String orgName;

   public String getId() {
      return this.id;
   }

   public String getParentId() {
      return this.parentId;
   }

   public String getOrgName() {
      return this.orgName;
   }

   public void setId(final String id) {
      this.id = id;
   }

   public void setParentId(final String parentId) {
      this.parentId = parentId;
   }

   public void setOrgName(final String orgName) {
      this.orgName = orgName;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SSOOrgVO)) {
         return false;
      } else {
         SSOOrgVO other = (SSOOrgVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$parentId = this.getParentId();
            Object other$parentId = other.getParentId();
            if (this$parentId == null) {
               if (other$parentId != null) {
                  return false;
               }
            } else if (!this$parentId.equals(other$parentId)) {
               return false;
            }

            Object this$orgName = this.getOrgName();
            Object other$orgName = other.getOrgName();
            if (this$orgName == null) {
               if (other$orgName != null) {
                  return false;
               }
            } else if (!this$orgName.equals(other$orgName)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SSOOrgVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $parentId = this.getParentId();
      result = result * 59 + ($parentId == null ? 43 : $parentId.hashCode());
      Object $orgName = this.getOrgName();
      result = result * 59 + ($orgName == null ? 43 : $orgName.hashCode());
      return result;
   }

   public String toString() {
      return "SSOOrgVO(id=" + this.getId() + ", parentId=" + this.getParentId() + ", orgName=" + this.getOrgName() + ")";
   }
}
